{% extends "users/userspace.html" %}

{% block content %}
    <div class="container mt-5">

        <h1 class="mb-3">Mes fermes</h1>

        {{ PAGE_MES_FERMES|safe }}

        <div class="table-responsive">
            <table class="table table-striped table-hover align-middle">
                <thead>
                <tr>
                    <th class="pe-1">
                        Nom
                    </th>
                    <th class="pe-1">
                        Type de produits
                    </th>
                    <th class="pe-1">
                        Actions
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for ferme in fermes %}
                <tr>
                    <td class="pe-1 fw-bold">
                        {{ ferme.nom }}
                    </td>
                    <td class="pe-1">
                        {{ ferme.type_activite }}
                    </td>
                    <td class="pe-1">
                        <a type="button" class="btn btn-link" href="{% url 'ferme_hub' ferme_id=ferme.id %}">
                            <i class="fas fa-cogs me-1"></i>Page de la ferme
                        </a>
                    </td>
                </tr>
            {% endfor %}
            {% if fermes|length == 0 %}
            <tr>
                <td colspan="3" class="text-center">
                Aucun résultat
                </td>
            </tr>
            {% endif %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
